login error



  • I just installed the latest nodebb and there is no error in installing
    but error appears when i login the forum
    {
    "error": "Cannot read property '_csrf' of undefined"
    }

    node_redis: no callback to send error: ERR unknown command 'pexpire'
    error: Error: ERR unknown command 'pexpire'
    at ReplyParser.<anonymous> (/root/nodebb/node_modules/redis/index.js:305:31)
    at ReplyParser.EventEmitter.emit (events.js:95:17)
    at ReplyParser.send_error (/root/nodebb/node_modules/redis/lib/parser/javascript.js:296:10)
    at ReplyParser.execute (/root/nodebb/node_modules/redis/lib/parser/javascript.js:181:22)
    at RedisClient.on_data (/root/nodebb/node_modules/redis/index.js:534:27)
    at Socket.<anonymous> (/root/nodebb/node_modules/redis/index.js:91:14)
    at Socket.EventEmitter.emit (events.js:95:17)
    at Socket.<anonymous> (stream_readable.js:745:14)
    at Socket.EventEmitter.emit (events.js:92:17)
    at emitReadable
    (_stream_readable.js:407:10)
    TypeError: Cannot read property '_csrf' of undefined
    at Object.handle (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/csrf.js:45:28)
    at next (/root/nodebb/node_modules/express/node_modules/connect/lib/proto.js:190:15)
    at Object.session [as handle] (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/session.js:218:61)
    at next (/root/nodebb/node_modules/express/node_modules/connect/lib/proto.js:190:15)
    at Object.cookieParser [as handle] (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/cookieParser.js:60:5)
    at next (/root/nodebb/node_modules/express/node_modules/connect/lib/proto.js:190:15)
    at multipart (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/multipart.js:64:37)
    at /root/nodebb/node_modules/express/node_modules/connect/lib/middleware/bodyParser.js:57:9
    at urlencoded (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/urlencoded.js:51:37)
    at /root/nodebb/node_modules/express/node_modules/connect/lib/middleware/bodyParser.js:55:7
    TypeError: Cannot read property '_csrf' of undefined
    at Object.handle (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/csrf.js:45:28)
    at next (/root/nodebb/node_modules/express/node_modules/connect/lib/proto.js:190:15)
    at Object.session [as handle] (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/session.js:218:61)
    at next (/root/nodebb/node_modules/express/node_modules/connect/lib/proto.js:190:15)
    at Object.cookieParser [as handle] (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/cookieParser.js:60:5)
    at next (/root/nodebb/node_modules/express/node_modules/connect/lib/proto.js:190:15)
    at multipart (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/multipart.js:64:37)
    at /root/nodebb/node_modules/express/node_modules/connect/lib/middleware/bodyParser.js:57:9
    at urlencoded (/root/nodebb/node_modules/express/node_modules/connect/lib/middleware/urlencoded.js:51:37)
    at /root/nodebb/node_modules/express/node_modules/connect/lib/middleware/bodyParser.js:55:7



  • @sunqi your redis version is out of date by the looks of it as pexpire is supported by 2.6 and up.

    I had the same issue, follow the progress here.


  • GNU/Linux Admin

    Yup, minimum requirement is Redis 2.6.0 now (has been for awhile, but it was only a soft requirement -- now it's a hard requirement)



  • @julian @a_5mith i just followed the digitalocean installing instructions to set up my nodebb
    is there any guides about updating my redis?



  • @sunqi

    sudo apt-get install -y python-software-properties
    sudo add-apt-repository -y ppa:rwky/redis
    sudo apt-get update
    sudo apt-get install -y redis-server
    

    The -y saves you having to confirm when it asks if you want to install.


Log in to reply
 

Suggested Topics

| |